#local R = 350;
#local X1 = 90;
#local Z1 = sqrt(R^2-X1^2);
#local S = 220;
#local Z2 = Z1 + sqrt(S^2-X1^2);

#declare zahnrad = 
    union {
	cylinder {
	    <0, 0, 0> <0, 180, 0> R
	}

	#local a = 0;
	#while (a < 360) 
	    prism {
		0, 180,
		4
		<X1, Z1>, <0, Z2>, <-X1, Z1>, <X1, Z1>
		rotate <0, a, 0>
	    }
	    #local a = a + 45;
	#end
	
	texture {
	    pigment {
		color <0.75, 0.75, 0.75>
	    }
	}
    }
