#include "colors.inc"

#declare stunde = 10;
#declare minute = 16;

#include "wuerfeluhr.pov"

global_settings {
    assumed_gamma 1.0 
    ambient_light rgb<0.2, 0.2, 0.2>
    radiosity {
    }   
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <-200, 200, -200>
    color 0.1
}
camera {
    location <5, 3, 3>
    look_at <0, 0, 0>
    angle 45
}
object {
    wuerfeluhr
}

#if (0)
cylinder {
    <-2, 0, 0>, <2, 0, 0>, 0.01
    texture {
	pigment {
	    color <1, 0, 0>
	}
    }
}

cylinder {
    <0, -2, 0>, <0, 2, 0>, 0.01
    texture {
	pigment {
	    color <0, 1, 0>
	}
    }
}

cylinder {
    <0, 0, -2>, <0, 0, 2>, 0.01
    texture {
	pigment {
	    color <0, 0, 1>
	}
    }
}
#end

plane {
    <0, 1, 0>, -2
    texture {
	pigment {
	    checker 
	    color 1
	    color 0
	}
    }
}
