#include "plattform.pov"
#include "zahnrad.pov"
#include "torbogen.pov"

#local pf_dupel = 
    union {
	object {
	    plattform
	    translate <500, 0, 0>
	    texture {
		pigment {
		    color <0.75, 1, 0>
		}
	    }
	}
	object {
	    plattform
	    translate <-500, 0, 0>
	    texture {
		pigment {
		    color <1, 0.75, 0>
		}
	    }
	}
    }

#local pf_tripel = 
    union {
	object {
	    plattform
	    translate <500, 0, 0>
	    texture {
		pigment {
		    color <0.75, 1, 1>
		}
	    }
	}
	object {
	    plattform
	    translate <500, 0, 0>
	    rotate <0, 120, 0>
	    texture {
		pigment {
		    color <1, 0.75, 1>
		}
	    }
	}
	object {
	    plattform
	    translate <500, 0, 0>
	    rotate <0, -120, 0>
	    texture {
		pigment {
		    color <1, 1, 0.75>
		}
	    }
	}
    }
#declare kintradims_hoehe =
    union {
	object {
	    pf_dupel
	}
	object {
	    pf_tripel
	    translate <0, 180, 0>
	    rotate <0, 45, 0>
	}
	object {
	    pf_dupel
	    translate <0, 360, 0>
	    rotate <0, 90, 0>
	}
	object {
	    pf_tripel
	    translate <0, 540, 0>
	    rotate <0, 135, 0>
	}
	object {
	    pf_dupel
	    translate <0, 720, 0>
	}
	object {
	    zahnrad
	    translate <-500, 900, 0>
	}
	object {
	    torbogen
	    translate <+500, 900, 0>
	}
    }
